commit:     93e8e7a241dcf94ad10820f4abdc473054985d91
Author:     Jeffrey Lin <jeffrey <AT> icurse <DOT> nl>
AuthorDate: Thu May  2 04:20:30 2019 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sun May 19 00:04:29 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93e8e7a2

dev-python/neovim-remote: version bump to 2.1.7

Closes: https://bugs.gentoo.org/684316
Closes: https://github.com/gentoo/gentoo/pull/11874
Package-Manager: Portage-2.3.65, Repoman-2.3.12
Signed-off-by: Jeffrey Lin <jeffrey <AT> icurse.nl>
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>

 dev-python/neovim-remote/Manifest                  |  1 +
 .../neovim-remote/neovim-remote-2.1.7.ebuild       | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/neovim-remote/Manifest 
b/dev-python/neovim-remote/Manifest
index 02a199db8a3..905bbdff8ac 100644
--- a/dev-python/neovim-remote/Manifest
+++ b/dev-python/neovim-remote/Manifest
@@ -1,2 +1,3 @@
 DIST neovim-remote-1.8.6.tar.gz 434012 BLAKE2B 
1fddb5e4376d3d17c2ff0c00e5f98700ab2d221af1ed1bc3f9c6dabe9cf1bdafe9f85041cb3a01f9a45f03df2d76bc0ae3c5a93603caa9ad461eb5ae50cb832f
 SHA512 
b973b8c495a3a371b9a21ec4110beebbfe304f00d73aaf1da849df612e6ea9a08258379600ccb8d83154b8ef12e26088ba90a1668c5262b7dc9c62c844f42798
 DIST neovim-remote-2.1.0.tar.gz 437657 BLAKE2B 
056bcc1edff5225b478e72f0b0ce3b8f296ed49d9d8a035bce88b6d26daeda884640f9f6a50b68d91a8ad38a4980f554385e799302a541ce2d6985110357188d
 SHA512 
23f6e98d57d856477b51c77aaa417af8a7a9aa02821f4dbd4870af7b3f9de07c4ba46ceae036ddb17382de4829238114dafa4b2b6d1e6dc71f1d9b4ba935b562
+DIST neovim-remote-2.1.7.tar.gz 438133 BLAKE2B 
37bcbabbc4336f31ddb20aae27c748fef80924d095ef285a27105b8276a89dd681a9ea210a4b1286cf7ae5461364044fa97889b803c0de15d18df09e0ad78e2f
 SHA512 
544c2b60b751cd72da793f1ea69fb0fed8990f009320ce6972cdb17af5ae2cc526af85bdc57f03a85cee1b8e3fdcd357a99a91252e44ae0761d3772f1714c240

diff --git a/dev-python/neovim-remote/neovim-remote-2.1.7.ebuild 
b/dev-python/neovim-remote/neovim-remote-2.1.7.ebuild
new file mode 100644
index 00000000000..c07980e22fc
--- /dev/null
+++ b/dev-python/neovim-remote/neovim-remote-2.1.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/mhinz/${PN}.git";
+else
+       KEYWORDS="~amd64 ~arm"
+       SRC_URI="https://github.com/mhinz/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+fi
+
+DESCRIPTION="A tool that helps control neovim processes"
+HOMEPAGE="https://github.com/mhinz/neovim-remote";
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/neovim-python-client[${PYTHON_USEDEP}]
+       dev-python/psutil[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+DEPEND="${RDEPEND}
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+       pytest -vv || die
+}

Reply via email to